#include "udsreq.ih"

char const *UDSReq::name(Req req)
{
    auto iter = find_if(s_vect.begin(), s_vect.end(), 
        [&](Pair const &item)
        {
            return req == item.first;
        }
    );

    return iter == s_vect.end() ? "error" : iter->second;
}

